<template>
    <div class="content">
        <web-view :webview-styles="webviewStyles" :src="webviewURL"></web-view>
    </div>
</template>

<script>
import request from '../../common/service';
export default {
    data() {
        return {
            webviewStyles: {
                progress: {
                    color: '#FF3333',
                },
            },
            webviewURL: ''
        };
    },
    onLoad(options) {
        this.webviewURL = options.url;
    },
    computed: {},
    methods: {},
    onShareAppMessage(res) {
        if (res.from === 'button') {
            // 来自页面内分享按钮
            console.log(res.target);
        }
        return {
            title: '京台分享更多精彩',
            path: '/pages/index/index',
            imageUrl: '/static/images/share/WechatIMG96.png'
        };
    },
};
</script>

<style lang="scss" scoped>
.content {
    .header {
        background-color: #ffcb57;
    }
    .wrap {
        display: flex;
        flex-direction: column;
        height: calc(100vh - var(--window-top));
        width: 100%;
        /deep/.u-input {
            margin: 30rpx 32rpx;
            background-color: #fff;
            border-radius: 10rpx;
            .u-input__textarea {
                padding: 10rpx;
            }
        }
    }
}
</style>
